import * as $dara from '@darabonba/typescript';
import { UpdateJenkinsImageRegistryNameResponseBody } from "./UpdateJenkinsImageRegistryNameResponseBody";
export declare class UpdateJenkinsImageRegistryNameResponse extends $dara.Model {
    headers?: {
        [key: string]: string;
    };
    statusCode?: number;
    body?: UpdateJenkinsImageRegistryNameResponseBody;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    validate(): void;
    constructor(map?: {
        [key: string]: any;
    });
}
